# IAX2IeProvVer Class Reference

`#include <ies.h>`

Inheritance diagram for IAX2IeProvVer:

[legend]
Collaboration diagram for IAX2IeProvVer:
[legend]

## Public Member Functions

| IAX2IeProvVer (BYTE length, BYTE *srcData)
| IAX2IeProvVer (unsigned int newValue)
virtual void | PrintOn (ostream &str) const
virtual BYTE | GetKeyValue () const
virtual void | StoreDataIn (IAX2IeData &res)

## Detailed Description

An Information Element that contains the Provisioning version

## Constructor & Destructor Documentation

IAX2IeProvVer::IAX2IeProvVer | ( | BYTE | length,
|  | BYTE * | srcData |
| ) |  |  | `[inline]`

Constructor from data read from the network.

Contents are undefined if the network data is bogus/invalid

IAX2IeProvVer::IAX2IeProvVer | ( | unsigned int | newValue | ) | `[inline]`

Construct with a predefined value (Typically used prior to transmission)

## Member Function Documentation

virtual BYTE IAX2IeProvVer::GetKeyValue | ( |  | ) | const`[inline, virtual]`

Get the key value for this particular Information Element class

Reimplemented from IAX2Ie.

virtual void IAX2IeProvVer::PrintOn | ( | ostream & | str | ) | const`[virtual]`

print this class (nicely) to the designated stream

Reimplemented from IAX2IeUInt.

virtual void IAX2IeProvVer::StoreDataIn | ( | IAX2IeData & | res | ) | `[inline, virtual]`

Take the data from this IAX2Ie, and copy it into the IAX2IeData structure. This is done on processing an incoming frame which contains IAX2Ie in the data section.

Reimplemented from IAX2Ie.

The documentation for this class was generated from the following file:

- ies.h